> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate expression

> Generate an expression using AI



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /expression/expressions/generate
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /expression/expressions/generate:
    post:
      tags:
        - Expression - Expressions
      summary: Generate expression
      description: Generate an expression using AI
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  title: Prompt
                  description: Prompt to generate an expression.
                variables:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                  title: Variables
                  description: Variables available for generation.
              required:
                - prompt
                - variables
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    title: Data
                    description: Generated expression result.
                required:
                  - data
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````